/***************************************************************************
                          kcoverimage.h  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCOVERIMAGE_H
#define KCOVERIMAGE_H

#include <qimage.h>
#include <qimageio.h>
#include <qjpegio.h>
#include <qpngio.h>
#include <kcoverobject.h>

/**contains images to place on the cover
  *@author Pascal 'PeP' Panneels
  */

class KCoverImage : public KCoverObject
{
public: 
	KCoverImage(const char * filename, int x, int y, int order);
	~KCoverImage();

  virtual int GetClassType() {return TYPE_CLASS_IMAGE;} ;	
  /** return true if POS is in the image */
  virtual bool IsPointInObject(QPoint &pos);
  virtual int Width() { return Image.width(); }
  virtual int Height() { return Image.height(); }
  /** operator == for the comparison function */
  int operator == (const KCoverImage &p) const;
	
public :
	QImage Image;
};

#endif
