/***************************************************************************
                          kcoverstring.cpp  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kcoverstring.h"
#include <qfontmetrics.h>

KCoverString::KCoverString(string text, int x, int y, int order ) : KCoverObject( x, y, order )
{
	Text = text;
	Font = new KCoverFont("Helvetica");
}

KCoverString::~KCoverString()
{
}

int KCoverString::operator == (const KCoverString &p) const
{
	if (p.X==X && p.Y==Y && p.Order==Order && p.Text==Text )
		return 1;
	else
		return 0;
}

/** return true if clicked is on a text */
bool KCoverString::IsPointInObject(QPoint &pos)
{
	QFontMetrics fm(*Font->Font);
	int W = fm.width(Text.c_str());
	int H = fm.height();
	
	if ( pos.x()>=X && pos.x()<=X+W && pos.y()<=Y && pos.y()>=Y-H )
		return true;
	else
		return false;
}

int KCoverString::Width()
{
	QFontMetrics fm(*Font->Font);
	return fm.width(Text.c_str());
}

int KCoverString::Height()
{
	QFontMetrics fm(*Font->Font);
	fm.width(Text.c_str());
	return fm.height();
}

int KCoverString::RealX()
{
	QFontMetrics fm(*Font->Font);
	QRect r = fm.boundingRect(Text.c_str());
	return X+r.x();
}

int KCoverString::RealY()
{
	QFontMetrics fm(*Font->Font);
	QRect r = fm.boundingRect(Text.c_str());
	return Y+r.y();
}
